ustrtok(3)

NAME
ustrtok

SYNOPSIS
#include <allegro.h>

char *ustrtok(char *s, const char *set);

DESCRIPTION
This function retrieves tokens from s which are delimited by characters from set. To initiate the search, pass the string to be searched as s. For the remaining tokens, pass NULL instead. Returns a pointer to the token, or NULL if no more are found. Warning: Since ustrtok alters the string it is parsing, you should always copy the string to a temporary buffer before parsing it. Also, this function is not reentrant (ie. you cannot parse two strings at the same time).

SEE ALSO
uconvert(3), ustrchr(3), ustrrchr(3), ustrstr(3), ustrpbrk(3), ustrtok_r(3)